| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Functions
icpStereoHandle.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <math.h>`
`#include <ARX/AR/ar.h>`
`#include <ARX/AR/icp.h>`
Include dependency graph for icpStereoHandle.c:

## Functions
ICPStereoHandleT * | icpStereoCreateHandle (const ARdouble matXcl2Ul[3][4], const ARdouble matXcr2Ur[3][4], const ARdouble matC2L[3][4], const ARdouble matC2R[3][4])
int | icpStereoDeleteHandle (ICPStereoHandleT **handle)
int | icpStereoSetMatXcl2Ul (ICPStereoHandleT *handle, ARdouble matXcl2Ul[3][4])
int | icpStereoSetMatXcr2Ur (ICPStereoHandleT *handle, ARdouble matXcr2Ur[3][4])
int | icpStereoSetMatC2L (ICPStereoHandleT *handle, ARdouble matC2L[3][4])
int | icpStereoSetMatC2R (ICPStereoHandleT *handle, ARdouble matC2R[3][4])
int | icpStereoSetMaxLoop (ICPStereoHandleT *handle, int maxLoop)
int | icpStereoSetBreakLoopErrorThresh (ICPStereoHandleT *handle, ARdouble breakLoopErrorThresh)
int | icpStereoSetBreakLoopErrorRatioThresh (ICPStereoHandleT *handle, ARdouble breakLoopErrorRatioThresh)
int | icpStereoGetMatXcl2Ul (ICPStereoHandleT *handle, ARdouble matXcl2Ul[3][4])
int | icpStereoGetMatXcr2Ur (ICPStereoHandleT *handle, ARdouble matXcr2Ur[3][4])
int | icpStereoGetMatC2L (ICPStereoHandleT *handle, ARdouble matC2L[3][4])
int | icpStereoGetMatC2R (ICPStereoHandleT *handle, ARdouble matC2R[3][4])
int | icpStereoGetMaxLoop (ICPStereoHandleT *handle, int *maxLoop)
int | icpStereoGetBreakLoopErrorThresh (ICPStereoHandleT *handle, ARdouble *breakLoopErrorThresh)
int | icpStereoGetBreakLoopErrorRatioThresh (ICPStereoHandleT *handle, ARdouble *breakLoopErrorRatioThresh)
int | icpStereoGetInlierProbability (ICPStereoHandleT *handle, ARdouble *inlierProb)
int | icpStereoSetInlierProbability (ICPStereoHandleT *handle, ARdouble inlierProb)

## Function Documentation

## ◆ icpStereoCreateHandle()

ICPStereoHandleT * icpStereoCreateHandle | ( | const ARdouble | matXcl2Ul[3][4],
|  | const ARdouble | matXcr2Ur[3][4],
|  | const ARdouble | matC2L[3][4],
|  | const ARdouble | matC2R[3][4]
| ) |  |

## ◆ icpStereoDeleteHandle()

int icpStereoDeleteHandle | ( | ICPStereoHandleT ** | handle | ) |

## ◆ icpStereoGetBreakLoopErrorRatioThresh()

int icpStereoGetBreakLoopErrorRatioThresh | ( | ICPStereoHandleT * | handle,
|  | ARdouble * | breakLoopErrorRatioThresh
| ) |  |

## ◆ icpStereoGetBreakLoopErrorThresh()

int icpStereoGetBreakLoopErrorThresh | ( | ICPStereoHandleT * | handle,
|  | ARdouble * | breakLoopErrorThresh
| ) |  |

## ◆ icpStereoGetInlierProbability()

int icpStereoGetInlierProbability | ( | ICPStereoHandleT * | handle,
|  | ARdouble * | inlierProb
| ) |  |

## ◆ icpStereoGetMatC2L()

int icpStereoGetMatC2L | ( | ICPStereoHandleT * | handle,
|  | ARdouble | matC2L[3][4]
| ) |  |

## ◆ icpStereoGetMatC2R()

int icpStereoGetMatC2R | ( | ICPStereoHandleT * | handle,
|  | ARdouble | matC2R[3][4]
| ) |  |

## ◆ icpStereoGetMatXcl2Ul()

int icpStereoGetMatXcl2Ul | ( | ICPStereoHandleT * | handle,
|  | ARdouble | matXcl2Ul[3][4]
| ) |  |

## ◆ icpStereoGetMatXcr2Ur()

int icpStereoGetMatXcr2Ur | ( | ICPStereoHandleT * | handle,
|  | ARdouble | matXcr2Ur[3][4]
| ) |  |

## ◆ icpStereoGetMaxLoop()

int icpStereoGetMaxLoop | ( | ICPStereoHandleT * | handle,
|  | int * | maxLoop
| ) |  |

## ◆ icpStereoSetBreakLoopErrorRatioThresh()

int icpStereoSetBreakLoopErrorRatioThresh | ( | ICPStereoHandleT * | handle,
|  | ARdouble | breakLoopErrorRatioThresh
| ) |  |

## ◆ icpStereoSetBreakLoopErrorThresh()

int icpStereoSetBreakLoopErrorThresh | ( | ICPStereoHandleT * | handle,
|  | ARdouble | breakLoopErrorThresh
| ) |  |

## ◆ icpStereoSetInlierProbability()

int icpStereoSetInlierProbability | ( | ICPStereoHandleT * | handle,
|  | ARdouble | inlierProb
| ) |  |

## ◆ icpStereoSetMatC2L()

int icpStereoSetMatC2L | ( | ICPStereoHandleT * | handle,
|  | ARdouble | matC2L[3][4]
| ) |  |

## ◆ icpStereoSetMatC2R()

int icpStereoSetMatC2R | ( | ICPStereoHandleT * | handle,
|  | ARdouble | matC2R[3][4]
| ) |  |

## ◆ icpStereoSetMatXcl2Ul()

int icpStereoSetMatXcl2Ul | ( | ICPStereoHandleT * | handle,
|  | ARdouble | matXcl2Ul[3][4]
| ) |  |

## ◆ icpStereoSetMatXcr2Ur()

int icpStereoSetMatXcr2Ur | ( | ICPStereoHandleT * | handle,
|  | ARdouble | matXcr2Ur[3][4]
| ) |  |

## ◆ icpStereoSetMaxLoop()

int icpStereoSetMaxLoop | ( | ICPStereoHandleT * | handle,
|  | int | maxLoop
| ) |  |